### YamlMime:ManagedReference
items:
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem
  commentId: T:OmiLAXR.xAPI.Tracking.ITrackingSystem
  id: ITrackingSystem
  parent: OmiLAXR.xAPI.Tracking
  children:
  - OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier
  - OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta(System.String)
  - OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking
  - OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  - OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  langs:
  - csharp
  - vb
  name: ITrackingSystem
  nameWithType: ITrackingSystem
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem
  type: Interface
  source:
    remote:
      path: Runtime/Tracking/ITrackingSystem.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: ITrackingSystem
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingSystem.cs
    startLine: 2
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: public interface ITrackingSystem
    content.vb: Public Interface ITrackingSystem
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  id: StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  parent: OmiLAXR.xAPI.Tracking.ITrackingSystem
  langs:
  - csharp
  - vb
  name: StartTracking(MainTrackingSystem, TrackingContext)
  nameWithType: ITrackingSystem.StartTracking(MainTrackingSystem, TrackingContext)
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem, OmiLAXR.xAPI.Tracking.TrackingContext)
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingSystem.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: StartTracking
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingSystem.cs
    startLine: 4
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: void StartTracking(MainTrackingSystem ownerSystem, TrackingContext context)
    parameters:
    - id: ownerSystem
      type: OmiLAXR.xAPI.Tracking.MainTrackingSystem
    - id: context
      type: OmiLAXR.xAPI.Tracking.TrackingContext
    content.vb: Sub StartTracking(ownerSystem As MainTrackingSystem, context As TrackingContext)
  overload: OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking*
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  id: StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  parent: OmiLAXR.xAPI.Tracking.ITrackingSystem
  langs:
  - csharp
  - vb
  name: StopTracking(MainTrackingSystem, TrackingContext)
  nameWithType: ITrackingSystem.StopTracking(MainTrackingSystem, TrackingContext)
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem, OmiLAXR.xAPI.Tracking.TrackingContext)
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingSystem.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: StopTracking
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingSystem.cs
    startLine: 5
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: void StopTracking(MainTrackingSystem ownerSystem, TrackingContext context)
    parameters:
    - id: ownerSystem
      type: OmiLAXR.xAPI.Tracking.MainTrackingSystem
    - id: context
      type: OmiLAXR.xAPI.Tracking.TrackingContext
    content.vb: Sub StopTracking(ownerSystem As MainTrackingSystem, context As TrackingContext)
  overload: OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking*
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta(System.String)
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta(System.String)
  id: GetMeta(System.String)
  parent: OmiLAXR.xAPI.Tracking.ITrackingSystem
  langs:
  - csharp
  - vb
  name: GetMeta(string)
  nameWithType: ITrackingSystem.GetMeta(string)
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta(string)
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingSystem.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: GetMeta
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingSystem.cs
    startLine: 6
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: TrackingMeta GetMeta(string metaContext)
    parameters:
    - id: metaContext
      type: System.String
    return:
      type: OmiLAXR.xAPI.Tracking.TrackingMeta
    content.vb: Function GetMeta(metaContext As String) As TrackingMeta
  overload: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta*
  nameWithType.vb: ITrackingSystem.GetMeta(String)
  fullName.vb: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta(String)
  name.vb: GetMeta(String)
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking
  id: IsTracking
  parent: OmiLAXR.xAPI.Tracking.ITrackingSystem
  langs:
  - csharp
  - vb
  name: IsTracking()
  nameWithType: ITrackingSystem.IsTracking()
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking()
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingSystem.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: IsTracking
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingSystem.cs
    startLine: 7
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: bool IsTracking()
    return:
      type: System.Boolean
    content.vb: Function IsTracking() As Boolean
  overload: OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking*
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier
  id: GetIdentifier
  parent: OmiLAXR.xAPI.Tracking.ITrackingSystem
  langs:
  - csharp
  - vb
  name: GetIdentifier()
  nameWithType: ITrackingSystem.GetIdentifier()
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier()
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingSystem.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: GetIdentifier
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingSystem.cs
    startLine: 8
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: string GetIdentifier()
    return:
      type: System.String
    content.vb: Function GetIdentifier() As String
  overload: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier*
references:
- uid: OmiLAXR.xAPI.Tracking
  commentId: N:OmiLAXR.xAPI.Tracking
  href: OmiLAXR.html
  name: OmiLAXR.xAPI.Tracking
  nameWithType: OmiLAXR.xAPI.Tracking
  fullName: OmiLAXR.xAPI.Tracking
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking
  href: OmiLAXR.xAPI.Tracking.ITrackingSystem.html#OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  name: StartTracking
  nameWithType: ITrackingSystem.StartTracking
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.StartTracking
- uid: OmiLAXR.xAPI.Tracking.MainTrackingSystem
  commentId: T:OmiLAXR.xAPI.Tracking.MainTrackingSystem
  parent: OmiLAXR.xAPI.Tracking
  href: OmiLAXR.xAPI.Tracking.MainTrackingSystem.html
  name: MainTrackingSystem
  nameWithType: MainTrackingSystem
  fullName: OmiLAXR.xAPI.Tracking.MainTrackingSystem
- uid: OmiLAXR.xAPI.Tracking.TrackingContext
  commentId: T:OmiLAXR.xAPI.Tracking.TrackingContext
  parent: OmiLAXR.xAPI.Tracking
  href: OmiLAXR.xAPI.Tracking.TrackingContext.html
  name: TrackingContext
  nameWithType: TrackingContext
  fullName: OmiLAXR.xAPI.Tracking.TrackingContext
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking
  href: OmiLAXR.xAPI.Tracking.ITrackingSystem.html#OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  name: StopTracking
  nameWithType: ITrackingSystem.StopTracking
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.StopTracking
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta
  href: OmiLAXR.xAPI.Tracking.ITrackingSystem.html#OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta(System.String)
  name: GetMeta
  nameWithType: ITrackingSystem.GetMeta
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetMeta
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: OmiLAXR.xAPI.Tracking.TrackingMeta
  commentId: T:OmiLAXR.xAPI.Tracking.TrackingMeta
  parent: OmiLAXR.xAPI.Tracking
  href: OmiLAXR.xAPI.Tracking.TrackingMeta.html
  name: TrackingMeta
  nameWithType: TrackingMeta
  fullName: OmiLAXR.xAPI.Tracking.TrackingMeta
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking
  href: OmiLAXR.xAPI.Tracking.ITrackingSystem.html#OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking
  name: IsTracking
  nameWithType: ITrackingSystem.IsTracking
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.IsTracking
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier
  href: OmiLAXR.xAPI.Tracking.ITrackingSystem.html#OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier
  name: GetIdentifier
  nameWithType: ITrackingSystem.GetIdentifier
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem.GetIdentifier
